## kf6-kwidgetsaddons 6.22.0+p24.04+vstable+git20260123.0148

=== debian/changelog ===
kf6-kwidgetsaddons (6.22.0+p24.04+vstable+git20260123.0148-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 01:48:26 +0000

kf6-kwidgetsaddons (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:42:05 +1000

kf6-kwidgetsaddons (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:10:44 +1000
