## kf6-kwidgetsaddons 6.22.0+p24.04+vunstable+git20260123.0151

=== debian/changelog ===
kf6-kwidgetsaddons (6.22.0+p24.04+vunstable+git20260123.0151-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 01:52:05 +0000
