## kf6-kwidgetsaddons 6.22.0+p24.04+vunstable+git20260126.0725

=== debian/changelog ===
kf6-kwidgetsaddons (6.22.0+p24.04+vunstable+git20260126.0725-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:25:48 +0000
